package com.patzn.lims.sys.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.sys.entity.SysFile;
import com.patzn.lims.sys.entity.SysFileHis;

import java.util.List;

/**
 * <p>
 * 文件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-10-30
 */
public interface ISysFileHisService extends IBaseService<SysFileHis> {

    Page<SysFileHis> page(Page<SysFileHis> page, SysFileHis sysFileHis);

    List<SysFileHis> list(SysFileHis sysFileHis);

    boolean save(SysFile sysFile);

    boolean removeByFileIds(Long[] fileIds);
}
